tasks:
  verify_targets_ubuntu:
    name: Verify tink-cc build targets (ubuntu2004)
    platform: ubuntu2004
    bazel: 7.x
    build_flags:
    - '--cxxopt=-std=c++17'
    build_targets:
    - '@tink_cc//tink:tink_cc'
  verify_targets_windows:
    name: Verify tink-cc build targets (windows)
    platform: windows
    bazel: 7.x
    build_flags:
    - '--cxxopt=/std:c++17'
    - '--features=compiler_param_file'
    build_targets:
    - '@tink_cc//tink:tink_cc'
  verify_targets_macos:
    name: Verify tink-cc build targets (macOS)
    platform: macos_arm64
    bazel: 7.x
    build_flags:
    - '--cxxopt=-std=c++17'
    build_targets:
    - '@tink_cc//tink:tink_cc'    
